================================
pyplusplus.decl_wrappers package
================================

--------
Overview
--------

.. automodule:: pyplusplus.decl_wrappers
    :members:
    :undoc-members:
    :show-inheritance:

--------
Modules
--------

algorithm
---------

.. automodule:: pyplusplus.decl_wrappers.algorithm
    :members:
    :undoc-members:
    :show-inheritance:

calldef_wrapper
---------------

.. automodule:: pyplusplus.decl_wrappers.calldef_wrapper
    :members:
    :undoc-members:
    :show-inheritance:

call_policies
-------------

.. automodule:: pyplusplus.decl_wrappers.call_policies
    :members:
    :undoc-members:
    :show-inheritance:

class_wrapper
-------------

.. automodule:: pyplusplus.decl_wrappers.class_wrapper
    :members:
    :undoc-members:
    :show-inheritance:

decl_wrapper
------------

.. automodule:: pyplusplus.decl_wrappers.decl_wrapper
    :members:
    :undoc-members:
    :show-inheritance:

decl_wrapper_printer
--------------------

.. automodule:: pyplusplus.decl_wrappers.decl_wrapper_printer
    :members:
    :undoc-members:
    :show-inheritance:

doc_extractor
-------------

.. automodule:: pyplusplus.decl_wrappers.doc_extractor
    :members:
    :undoc-members:
    :show-inheritance:

enumeration_wrapper
-------------------

.. automodule:: pyplusplus.decl_wrappers.enumeration_wrapper
    :members:
    :undoc-members:
    :show-inheritance:

indexing_suite1
---------------

.. automodule:: pyplusplus.decl_wrappers.indexing_suite1
    :members:
    :show-inheritance:

indexing_suite2
---------------

.. automodule:: pyplusplus.decl_wrappers.indexing_suite2
    :members:
    :undoc-members:
    :show-inheritance:

namespace_wrapper
-----------------

.. automodule:: pyplusplus.decl_wrappers.namespace_wrapper
    :members:
    :undoc-members:
    :show-inheritance:

properties
----------

.. automodule:: pyplusplus.decl_wrappers.properties
    :members:
    :undoc-members:
    :show-inheritance:

python_traits
-------------

.. automodule:: pyplusplus.decl_wrappers.python_traits
    :members:
    :undoc-members:
    :show-inheritance:

scopedef_wrapper
----------------

.. automodule:: pyplusplus.decl_wrappers.scopedef_wrapper
    :members:
    :undoc-members:
    :show-inheritance:

typedef_wrapper
---------------

.. automodule:: pyplusplus.decl_wrappers.typedef_wrapper
    :members:
    :undoc-members:
    :show-inheritance:

user_text
---------

.. automodule:: pyplusplus.decl_wrappers.user_text
    :members:
    :undoc-members:
    :show-inheritance:

variable_wrapper
----------------

.. automodule:: pyplusplus.decl_wrappers.variable_wrapper
    :members:
    :undoc-members:
    :show-inheritance:
